> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/ladybug-primer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/ladybug-primer/components/3_analyzegeometry/set_rhino_sun.md).

# Set Rhino Sun

![](/files/ZYo5ecbwrYJwvuigRZnn)

![](/files/nD0QVpIr6Gc0STSOoRos) - [\[source code\]](https://github.com/ladybug-tools/ladybug-grasshopper/blob/master/ladybug_grasshopper/src//LB%20Set%20Rhino%20Sun.py)

Set the sun in the Rhino scene to correspond to a given location and date/time.

This can be help coordinate Rhino visualizations with Ladybug analyses.

### Inputs

* **north**

A number between -360 and 360 for the counterclockwise difference between the North and the positive Y-axis in degrees. 90 is West and 270 is East. This can also be Vector for the direction to North. (Default: 0)

* **location \[Required]**

A ladybug Location that has been output from the "LB Import EPW" component or the "LB Construct Location" component.

* **hoy \[Required]**

Script variable rhinoSun

* **run \[Required]**

Set to True to run the component set the Rhino Sun.

### Outputs

* **report**

Reports, errors, warnings, etc.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ladybug.tools/ladybug-primer/components/3_analyzegeometry/set_rhino_sun.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
